"{ Package: 'stx:libbasic3' }"!

!UserPreferences methodsFor:'accessing - history manager'!

historyManagerAllowEditOfHistory
    "useful if you have 'beginner students', to prevent them from changing the history"

    ^self 
        at: #'history-manager.allow-edit-of-history'
        ifAbsentPut:false

    "Modified (Format): / 30-06-2011 / 17:07:33 / cg"
    "Modified (Comment): / 30-06-2011 / 17:09:24 / cg"
! !

!UserPreferences methodsFor:'accessing - history manager'!

historyManagerModificationLimit
    "the time-delta within which the history manager does not treat a change as a new one"

    ^self 
        at: #'history-manager.modification-limit'
        ifAbsentPut: 3600 "/one hour"

    "Created: / 04-10-2008 / 11:55:56 / Jan Vrany <vranyj1@fel.cvut.cz>"
    "Modified (Comment): / 30-06-2011 / 17:25:09 / cg"
! !

!UserPreferences methodsFor:'accessing - history manager'!

historyManagerModificationLimit: sec
    "the time-delta within which the history manager does not treat a change as a new one"

    ^self 
        at: #'history-manager.modification-limit'
        put: sec

    "Created: / 04-10-2008 / 11:56:23 / Jan Vrany <vranyj1@fel.cvut.cz>"
    "Modified (Comment): / 30-06-2011 / 17:25:13 / cg"
! !

!UserPreferences methodsFor:'accessing - history manager'!

historyManagerSignature
    "the signature added by the history manager"

    ^self historyManagerSignatures
        at: (Array with: OperatingSystem getHostName with: OperatingSystem getLoginName)
        ifAbsent: [HistoryManager askForSignature]

    "Created: / 04-10-2008 / 12:06:58 / Jan Vrany <vranyj1@fel.cvut.cz>"
    "Modified (Format): / 30-06-2011 / 17:26:24 / cg"
! !

!UserPreferences methodsFor:'accessing - history manager'!

historyManagerSignature: aString
    "the signature added by the history manager"

    ^self historyManagerSignatures
        at: (Array with: OperatingSystem getHostName with: OperatingSystem getLoginName)
        put: aString

    "Created: / 04-10-2008 / 11:54:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
    "Modified (Comment): / 30-06-2011 / 17:25:31 / cg"
! !

!UserPreferences methodsFor:'accessing - history manager'!

historyManagerSignatures
    "the signatures added by the history manager"

    ^self 
        at: #'history-manager.signatures'
        ifAbsentPut: [Dictionary new]

    "
     UserPreferences current historyManagerSignatures
    "

    "Created: / 04-10-2008 / 11:52:40 / Jan Vrany <vranyj1@fel.cvut.cz>"
    "Modified: / 22-08-2009 / 11:00:12 / Jan Vrany <vranyj1@fel.cvut.cz>"
    "Modified (Comment): / 30-06-2011 / 17:27:14 / cg"
! !

!UserPreferences methodsFor:'accessing - history manager'!

historyManagerSignatures: aDictionary
    "the signatures added by the history manager"

    ^self 
        at: #'history-manager.signatures'
        ifAbsentPut: aDictionary

    "Created: / 04-10-2008 / 11:52:58 / Jan Vrany <vranyj1@fel.cvut.cz>"
    "Modified (Comment): / 30-06-2011 / 17:26:48 / cg"
! !

!stx_libbasic3 class methodsFor:'documentation'!

extensionsVersion_CVS
    ^ '$Header: /cvs/stx/stx/libbasic3/extensions.st,v 1.3 2011-06-30 15:41:22 cg Exp $'
! !